List diarizations
curl --request GET \
--url https://api.aircaps.com/v1/diarizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aircaps.com/v1/diarizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aircaps.com/v1/diarizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "dia_01k72p0x9h6t3b8r1n4m7q2w5e",
"object": "diarization",
"status": "completed",
"created_at": "2026-10-08T18:01:02.123Z",
"started_at": "2026-10-08T18:01:02.456Z",
"completed_at": "2026-10-08T18:02:11.789Z",
"audio_url": "https://example.com/meeting.mp3",
"file_id": null,
"model": "aircaps-diarization-v1",
"audio_duration": 1834.112,
"metadata": {
"meeting_id": 42
},
"webhook_url": "https://example.com/hooks/aircaps",
"webhook_status": "delivered",
"webhook_status_code": 200,
"error": null
}
],
"has_more": true,
"next_before": "dia_01k72p0x9h6t3b8r1n4m7q2w5e"
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_request",
"message": "Input should be greater than or equal to 10",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "invalid API key",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "permission_error",
"code": "account_disabled",
"message": "this account is disabled",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "internal error",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "service_unavailable",
"message": "temporarily unavailable; please retry",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}Diarizations
List diarizations
Your diarizations, newest first. Items omit the result fields.
GET
/
v1
/
diarizations
List diarizations
curl --request GET \
--url https://api.aircaps.com/v1/diarizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aircaps.com/v1/diarizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aircaps.com/v1/diarizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "dia_01k72p0x9h6t3b8r1n4m7q2w5e",
"object": "diarization",
"status": "completed",
"created_at": "2026-10-08T18:01:02.123Z",
"started_at": "2026-10-08T18:01:02.456Z",
"completed_at": "2026-10-08T18:02:11.789Z",
"audio_url": "https://example.com/meeting.mp3",
"file_id": null,
"model": "aircaps-diarization-v1",
"audio_duration": 1834.112,
"metadata": {
"meeting_id": 42
},
"webhook_url": "https://example.com/hooks/aircaps",
"webhook_status": "delivered",
"webhook_status_code": 200,
"error": null
}
],
"has_more": true,
"next_before": "dia_01k72p0x9h6t3b8r1n4m7q2w5e"
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_request",
"message": "Input should be greater than or equal to 10",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "invalid API key",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "permission_error",
"code": "account_disabled",
"message": "this account is disabled",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "internal error",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "service_unavailable",
"message": "temporarily unavailable; please retry",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}Authorizations
Your API key: Authorization: Bearer aircaps_sk_...
Query Parameters
Number of diarizations to return.
Required range:
1 <= x <= 100Only diarizations with this status.
Available options:
queued, processing, completed, error Pagination cursor: the next_before of the previous page.

